gnutls_pubkey_get_key_usage(3)

NAME
gnutls_pubkey_get_key_usage - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_key_usage(gnutls_pubkey_t key, unsigned int * usage);

ARGUMENTS

gnutls_pubkey_t key
    should contain a gnutls_pubkey_t structure

unsigned int * usage
    If set will return the number of bits of the parameters (may be NULL)

DESCRIPTION
This function will return the key usage of the public key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/